Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Downtime

This contains APIs related to CRUD operations of Downtime

get
Path parameters
identifierstringRequired

Identifier for the Entity.

accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/identifier/{identifier}
GET /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/identifier/{identifier} HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}
put
Path parameters
identifierstringRequired

Identifier for the Entity.

accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

Body

This is the Downtime entity defined in Harness

orgIdentifierstringRequired
projectIdentifierstringRequired
identifierstringRequired
namestringRequired
descriptionstringOptional
categorystring · enumRequiredPossible values:
scopestring · enumOptionalPossible values:
enabledbooleanOptional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/identifier/{identifier}
PUT /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/identifier/{identifier} HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Content-Type: application/json
Accept: */*
Content-Length: 442

{
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "identifier": "text",
  "name": "text",
  "description": "text",
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "category": "ScheduledMaintenance",
  "scope": "Project",
  "spec": {
    "type": "Onetime",
    "spec": {
      "timezone": "text",
      "startTime": 1,
      "startDateTime": "text",
      "type": "text"
    }
  },
  "entitiesRule": {
    "affectedEntity": {
      "serviceName": "text",
      "envName": "text",
      "monitoredServiceIdentifier": "text"
    },
    "type": "All"
  },
  "enabled": true
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}
delete
Path parameters
identifierstringRequired

Identifier for the Entity.

accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/identifier/{identifier}
DELETE /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/identifier/{identifier} HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}
get
Path parameters
identifierstringRequired

Identifier for the Entity.

accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/monitored-services/{identifier}
GET /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/monitored-services/{identifier} HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}
get
Path parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

Query parameters
pageNumberinteger · int32Optional

Page Index of the results to fetch.Default Value: 0

Default: 0
pageSizeinteger · int32Optional

Results per page

Default: 10
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/monitored-services
GET /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/monitored-services HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}
get
Path parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

Query parameters
pageNumberinteger · int32Optional

Page Index of the results to fetch.Default Value: 0

Default: 0
pageSizeinteger · int32Optional

Results per page

Default: 10
monitoredServiceIdentifierstringOptional

For filtering on the basis of monitored services' identifiers

filterstringOptional

For filtering on the basis of name

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/history
GET /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/history HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}
get
Path parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

Query parameters
pageNumberinteger · int32Optional

Page Index of the results to fetch.Default Value: 0

Default: 0
pageSizeinteger · int32Optional

Results per page

Default: 10
monitoredServiceIdentifierstringOptional

For filtering on the basis of monitored services' identifiers

filterstringOptional

For filtering on the basis of name

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/list
GET /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/list HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}
post
Path parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

Body

This is the Downtime entity defined in Harness

orgIdentifierstringRequired
projectIdentifierstringRequired
identifierstringRequired
namestringRequired
descriptionstringOptional
categorystring · enumRequiredPossible values:
scopestring · enumOptionalPossible values:
enabledbooleanOptional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime
POST /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Content-Type: application/json
Accept: */*
Content-Length: 442

{
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "identifier": "text",
  "name": "text",
  "description": "text",
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "category": "ScheduledMaintenance",
  "scope": "Project",
  "spec": {
    "type": "Onetime",
    "spec": {
      "timezone": "text",
      "startTime": 1,
      "startDateTime": "text",
      "type": "text"
    }
  },
  "entitiesRule": {
    "affectedEntity": {
      "serviceName": "text",
      "envName": "text",
      "monitoredServiceIdentifier": "text"
    },
    "type": "All"
  },
  "enabled": true
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}
put
Path parameters
identifierstringRequired

Identifier for the Entity.

accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

Query parameters
enablebooleanRequired
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/flag/{identifier}
PUT /account/{accountIdentifier}/org/{orgIdentifier}/project/{projectIdentifier}/downtime/flag/{identifier}?enable=true HTTP/1.1
Host: cv-nextgen-94fb8b655-lbzqs
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?